<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.attributes (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../../org/gradle/api/attributes/package-summary.html" target="classFrame">org.gradle.api.attributes</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="AttributeCompatibilityRule.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>AttributeCompatibilityRule</i></a></li>
<li><a href="AttributeContainer.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>AttributeContainer</i></a></li>
<li><a href="AttributeDisambiguationRule.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>AttributeDisambiguationRule</i></a></li>
<li><a href="AttributeMatchingStrategy.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>AttributeMatchingStrategy</i></a></li>
<li><a href="AttributesSchema.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>AttributesSchema</i></a></li>
<li><a href="CompatibilityCheckDetails.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>CompatibilityCheckDetails</i></a></li>
<li><a href="CompatibilityRuleChain.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>CompatibilityRuleChain</i></a></li>
<li><a href="DisambiguationRuleChain.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>DisambiguationRuleChain</i></a></li>
<li><a href="HasAttributes.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>HasAttributes</i></a></li>
<li><a href="HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>HasConfigurableAttributes</i></a></li>
<li><a href="MultipleCandidatesDetails.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>MultipleCandidatesDetails</i></a></li>
<li><a href="Usage.html" title="interface in org.gradle.api.attributes" target="classFrame"><i>Usage</i></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="Attribute.html" title="class in org.gradle.api.attributes" target="classFrame">Attribute</a></li>
</ul>
</div>
</body>
</html>
